CEXP(3)

NAME
cexp, cexpf, cexpl - complex exponential functions

SYNOPSIS
#include <complex.h>
double complex
cexp(double complex z);
float complex
cexpf(float complex z);
long double complex
cexpl(long double complex z);

DESCRIPTION
The cexp(), cexpf() and cexpl() functions compute the exponential of z.

If z = x + iy, then

    cexp(z) = exp(x) cos(y) + i exp(x) sin(y).

RETURN VALUES
The cexp(), cexpf() and cexpl() functions return the exponential of z.

SEE ALSO
clog(3), cpow(3)

STANDARDS
The cexp(), cexpf() and cexpl() functions conform to isoC-99.